# log4cpp::BufferingAppender Class Reference

`#include <BufferingAppender.hh>`

Inheritance diagram for log4cpp::BufferingAppender:

[legend]
Collaboration diagram for log4cpp::BufferingAppender:

[legend]
List of all members.

## Public Member Functions

| BufferingAppender (const std::string name, unsigned long max_size, std::auto_ptr< Appender > sink, std::auto_ptr< TriggeringEventEvaluator > evaluator)
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.
bool | getLossy () const
void | setLossy (bool lossy)

## Protected Member Functions

virtual void | _append (const LoggingEvent &event)
| Log in Appender specific way.

## Constructor & Destructor Documentation

log4cpp::BufferingAppender::BufferingAppender | ( | const std::string | name,
|  | unsigned long | max_size,
|  | std::auto_ptr< Appender > | sink,
|  | std::auto_ptr< TriggeringEventEvaluator > | evaluator |
| ) |  |  |

## Member Function Documentation

virtual void log4cpp::BufferingAppender::close | ( |  | ) | `[inline, virtual]`

Release any resources allocated within the appender such as file handles, network connections, etc.

Implements log4cpp::AppenderSkeleton.

bool log4cpp::BufferingAppender::getLossy | ( |  | ) | const`[inline]`

void log4cpp::BufferingAppender::setLossy | ( | bool | lossy | ) | `[inline]`

void log4cpp::BufferingAppender::_append | ( | const LoggingEvent & | event | ) | `[protected, virtual]`

Log in Appender specific way.

Subclasses of Appender should implement this method to perform actual logging.

Parameters:

  | event | The LoggingEvent to log.

Implements log4cpp::AppenderSkeleton.

The documentation for this class was generated from the following files:

- BufferingAppender.hh
- BufferingAppender.cpp